Package org.apache.sling.cms.core.internal.models

## Class PublishableResourceImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.PublishableResourceImpl

All Implemented Interfaces:
  `PublishableResource`

Direct Known Subclasses:
  `FileImpl`, `PageImpl`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.PublishableResource.class)
    public class PublishableResourceImpl
    extends Object
    implements PublishableResource

Implementation of the publishable resource interface and adaptable from a resource.

### Field Summary

Fields
`static String` `LEGACY_PUBLISHED_PROPERTY`
`protected org.apache.sling.api.resource.Resource` `resource`

### Constructor Summary

Constructors
`PublishableResourceImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.api.resource.Resource` `getContentResource()`
`Calendar` `getCreated()`
`String` `getCreatedBy()`
`Calendar` `getLastModified()`
`String` `getLastModifiedBy()`
`Calendar` `getLastPublication()`
`String` `getLastPublicationBy()`
`PublicationType` `getLastPublicationType()`
`String` `getName()`
`org.apache.sling.api.resource.Resource` `getParent()`
`String` `getPath()`
`org.apache.sling.api.resource.ValueMap` `getProperties()`
`String` `getPublishedPath()`
`String` `getPublishedUrl()`
`org.apache.sling.api.resource.Resource` `getResource()`
`Site` `getSite()`
`boolean` `isPublished()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LEGACY_PUBLISHED_PROPERTY

    public static final String LEGACY_PUBLISHED_PROPERTY

See Also:
  Constant Field Values

#### resource

    protected final org.apache.sling.api.resource.Resource resource

### Constructor Detail

#### PublishableResourceImpl

    @Inject
    public PublishableResourceImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getContentResource

    public org.apache.sling.api.resource.Resource getContentResource()

Specified by:
  `getContentResource` in interface `PublishableResource`

#### getCreated

    public Calendar getCreated()

Specified by:
  `getCreated` in interface `PublishableResource`

#### getCreatedBy

    public String getCreatedBy()

Specified by:
  `getCreatedBy` in interface `PublishableResource`

#### getLastModified

    public Calendar getLastModified()

Specified by:
  `getLastModified` in interface `PublishableResource`

#### getLastModifiedBy

    public String getLastModifiedBy()

Specified by:
  `getLastModifiedBy` in interface `PublishableResource`

#### getLastPublicationType

    public PublicationType getLastPublicationType()

Specified by:
  `getLastPublicationType` in interface `PublishableResource`

#### getLastPublication

    public Calendar getLastPublication()

Specified by:
  `getLastPublication` in interface `PublishableResource`

#### getLastPublicationBy

    public String getLastPublicationBy()

Specified by:
  `getLastPublicationBy` in interface `PublishableResource`

#### getName

    public String getName()

Specified by:
  `getName` in interface `PublishableResource`

#### getParent

    public org.apache.sling.api.resource.Resource getParent()

Specified by:
  `getParent` in interface `PublishableResource`

#### getPath

    public String getPath()

Specified by:
  `getPath` in interface `PublishableResource`

#### getProperties

    public org.apache.sling.api.resource.ValueMap getProperties()

Specified by:
  `getProperties` in interface `PublishableResource`

#### getPublishedPath

    public String getPublishedPath()

Specified by:
  `getPublishedPath` in interface `PublishableResource`

#### getPublishedUrl

    public String getPublishedUrl()

Specified by:
  `getPublishedUrl` in interface `PublishableResource`

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `PublishableResource`

#### getSite

    public Site getSite()

Specified by:
  `getSite` in interface `PublishableResource`

#### isPublished

    public boolean isPublished()

Specified by:
  `isPublished` in interface `PublishableResource`